public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/gsl/
Date: Tue,  1 Jun 2021 20:44:06 +0000 (UTC)	[thread overview]
Message-ID: <1622580236.2d19b45cd14c5e47bc37fa826fdd7c13f0b5d27b.sam@gentoo> (raw)

commit:     2d19b45cd14c5e47bc37fa826fdd7c13f0b5d27b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  1 20:43:42 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun  1 20:43:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d19b45c

sci-libs/gsl: add 2.7

Closes: https://bugs.gentoo.org/725368
Bug: https://bugs.gentoo.org/687126
Bug: https://bugs.gentoo.org/687342
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/gsl/Manifest       |  2 ++
 sci-libs/gsl/gsl-2.7.ebuild | 63 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/sci-libs/gsl/Manifest b/sci-libs/gsl/Manifest
index 916572058e4..099284fea1d 100644
--- a/sci-libs/gsl/Manifest
+++ b/sci-libs/gsl/Manifest
@@ -2,3 +2,5 @@ DIST gsl-1.16-cblas.patch.bz2 2810 BLAKE2B 364c9f93a386e5d95c86789a3c00231cdfbe5
 DIST gsl-1.16.tar.gz 3534080 BLAKE2B 1c55a41e5ed57b57f671074240d23416aa8f23e3cc2bb832e455d4f44d307e6be6adfa3671dbbf2aa14604ea49f96ff636de7909f3532cdc811f6bd99b0aa59d SHA512 94e998953f30d701e1cd0a5e05d572c5cca7b6f40f0533aa85394ba4218946826408093ffe3049a0ab13d6ba87034fcec1a7d52a67d0b8860dc02b5fd4feb8eb
 DIST gsl-2.3-cblas.patch.bz2 12036 BLAKE2B ddad801cc42f925581e2e4995292f3eab0d2faf70c43c3b205fcf521b98e426df1d0824ed7d98b2c4cc89bbc4068fd45f2595dc02d23bded5c702b5a01bbfdb2 SHA512 37b867a21e60cd96c453ae24139bcf16c00c85bb6d5a3dcece81185fd9af5870c5167d2fa3c74cffce55bfb84f72be34d28ea94e0889904f8dda8687f66b4d23
 DIST gsl-2.5.tar.gz 7303881 BLAKE2B 7c6d10c21071a1af1f03123f83244476d2e90fcd27d05a115b03a74fe631eb7d8081f5260e534ae58ab0997c1111f980a5e4cb50d110ca626fe810c44be70180 SHA512 5b4c5c023f9029ce220f4e09aa4d0234fed94d42ac224d58fda095fe0532d54237a7c33278f8b5d0ba051f6004486edb38d0adb4fcb49337a8c1d8a18cf4a24a
+DIST gsl-2.7-cblas.patch.bz2 12073 BLAKE2B 71f2bdafdb1f42ca5c3515f8e39266242185218495705018d88e523be9bc776b39749156500cdc5746a16e481e9cfe2b79660e250eb1a70f3b18819d16fe11c5 SHA512 5b9b2a798079610d7d4981b83672cc978ed44b66aaf6e671794685f10bd4069764bb358870019dc0eec1e251639cde12aaa3598cae0e2fc050ea39c79435fe2f
+DIST gsl-2.7.tar.gz 7508761 BLAKE2B a9da4df40ea57374880026a0586f2f218dbb0c9154cc661b3e7f5cd414311b95300e60faa2d7f4d3c6cdae5cfdf77cb8052075b56f51564aec2649cc4ad5f7f9 SHA512 a14ac5400acaf4884620430dbeb6f0b28eafe946923b792ab0eccc2a2abc9113d8ce342f4b1e5396f05247649f7d6f953944a8e6bdbf9ee1adb9e67b7c3df2b5

diff --git a/sci-libs/gsl/gsl-2.7.ebuild b/sci-libs/gsl/gsl-2.7.ebuild
new file mode 100644
index 00000000000..35e85c74340
--- /dev/null
+++ b/sci-libs/gsl/gsl-2.7.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic toolchain-funcs
+
+DESCRIPTION="The GNU Scientific Library"
+HOMEPAGE="https://www.gnu.org/software/gsl/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz
+	https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-2.7-cblas.patch.bz2"
+
+LICENSE="GPL-3"
+SLOT="0/25"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE="cblas-external +deprecated static-libs"
+
+RDEPEND="cblas-external? ( virtual/cblas:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${WORKDIR}"/${PN}-2.7-cblas.patch
+)
+
+src_prepare() {
+	# bug #349005
+	[[ $(tc-getCC)$ == *gcc* ]] && \
+		[[ $(tc-getCC)$ != *apple* ]] && \
+		[[ $(gcc-major-version)$(gcc-minor-version) -eq 44 ]] \
+		&& filter-mfpmath sse
+	filter-flags -ffast-math
+
+	default
+
+	if use deprecated; then
+		sed -i -e "/GSL_DISABLE_DEPRECATED/,+2d" configure.ac || die
+	fi
+	eautoreconf
+}
+
+src_configure() {
+	if use cblas-external; then
+		export CBLAS_LIBS="$($(tc-getPKG_CONFIG) --libs cblas)"
+		export CBLAS_CFLAGS="$($(tc-getPKG_CONFIG) --cflags cblas)"
+	fi
+
+	econf \
+		--enable-shared \
+		$(use_with cblas-external) \
+		$(use_enable static-libs static)
+}
+
+src_test() {
+	local MAKEOPTS="${MAKEOPTS} -j1"
+	default
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2021-06-01 20:44 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-01 20:44 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-06  0:20 [gentoo-commits] repo/gentoo:master commit in: sci-libs/gsl/ Eli Schwartz
2022-11-08  8:55 Andrew Ammerlaan
2022-10-18  2:18 Sam James
2022-10-08 23:10 Sam James
2022-05-17  5:34 Sam James
2022-05-08  3:10 WANG Xuerui
2022-02-14  0:55 Sam James
2022-02-13 23:41 Jakov Smolić
2022-02-08  6:35 Sam James
2022-01-10 23:02 Sam James
2022-01-08 12:30 Arthur Zamarin
2022-01-08 12:21 Jakov Smolić
2022-01-08 12:20 Arthur Zamarin
2021-12-02 19:24 Sam James
2021-12-01 22:30 Sam James
2021-10-24  4:11 Sam James
2021-10-24  4:11 Sam James
2021-08-11 23:07 Sam James
2021-08-03 11:09 Sam James
2021-08-03 11:03 Sam James
2021-07-31 22:12 Sam James
2021-07-29  7:08 Agostino Sarubbo
2021-07-28 18:41 Marek Szuba
2021-05-25 18:43 Andrew Ammerlaan
2021-01-17 11:52 David Seifert
2021-01-06 15:17 Fabian Groffen
2020-11-30 22:31 Sergei Trofimovich
2020-03-22 14:07 Agostino Sarubbo
2020-03-22 14:06 Agostino Sarubbo
2019-12-27 19:35 Aaron Bauman
2019-12-24 20:04 Mikle Kolyada
2019-12-24 14:33 Mikle Kolyada
2019-12-15 14:22 Agostino Sarubbo
2019-12-15 14:07 Agostino Sarubbo
2019-11-17 12:08 Pacho Ramos
2019-06-26 16:07 Benda XU
2019-06-20  9:28 Mikle Kolyada
2019-05-26 17:01 Sergei Trofimovich
2019-05-20 19:37 Aaron Bauman
2018-08-06 14:10 Amy Liffey
2017-07-17 10:06 Alexis Ballier
2017-07-11 20:33 Sebastien Fabbro
2017-01-17 14:24 Agostino Sarubbo
2017-01-11 10:35 Agostino Sarubbo
2017-01-03 10:38 Agostino Sarubbo
2016-12-23 14:53 Manuel Rüger
2016-08-04  9:00 Jeroen Roovers
2016-07-06  9:23 Agostino Sarubbo
2016-06-25 20:14 Agostino Sarubbo
2016-06-12 19:52 Markus Meier
2016-05-23  8:24 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1622580236.2d19b45cd14c5e47bc37fa826fdd7c13f0b5d27b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox